#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-CiSY1rSo5MbERPW7jV3WFz-dns-internal
key:                  dns-4.0.1-CiSY1rSo5MbERPW7jV3WFz-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  598eaf7025f31c7773a2f8f8c04d157e
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-CiSY1rSo5MbERPW7jV3WFz-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-bRJqoep3gj749cy8sss28
    attoparsec-0.13.2.5-4Po0TgixOgPLPHUQMV1UH
    auto-update-0.1.6-6pgbOqqds8g71ci4MJeIEs base-4.14.1.0
    base16-bytestring-1.0.1.0-1KaY56qhPZgHxhRzfGgFmT
    base64-bytestring-1.2.0.1-4jz9BkJG3cUEik7PlrOgfv
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.28-AlwGG8Ft8GF7C21jBzpVb
    hourglass-0.2.12-DOStu5CdxhGBDzq0dGP6M8
    iproute-1.7.10-5BEMkQfmsBHEQoME5kF1I mtl-2.2.2
    network-3.1.2.1-8iRcwiFRMIG5nEfnXcFosV
    psqueues-0.2.7.2-9v0UPskhSsAAUrlY3TG2sn

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HRtKkmatcrF7UoQ3eLqNy3
key:                  dns-4.0.1-HRtKkmatcrF7UoQ3eLqNy3
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  3449b9423926d276ee00f0085678762c
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HRtKkmatcrF7UoQ3eLqNy3
depends:
    array-0.5.4.0 async-2.2.3-bRJqoep3gj749cy8sss28
    attoparsec-0.13.2.5-4Po0TgixOgPLPHUQMV1UH
    auto-update-0.1.6-6pgbOqqds8g71ci4MJeIEs base-4.14.1.0
    base16-bytestring-1.0.1.0-1KaY56qhPZgHxhRzfGgFmT
    base64-bytestring-1.2.0.1-4jz9BkJG3cUEik7PlrOgfv
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.28-AlwGG8Ft8GF7C21jBzpVb
    dns-4.0.1-CiSY1rSo5MbERPW7jV3WFz-dns-internal
    hourglass-0.2.12-DOStu5CdxhGBDzq0dGP6M8
    iproute-1.7.10-5BEMkQfmsBHEQoME5kF1I mtl-2.2.2
    network-3.1.2.1-8iRcwiFRMIG5nEfnXcFosV
    psqueues-0.2.7.2-9v0UPskhSsAAUrlY3TG2sn

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

